<?php
/*
  Fichier : TEMPLATEPATH. '/inc/admin/nettoyage.php'
  Objet : Nettoyage du backoffice
  Description spécifique :
  Suppression des élements inutiles du backoffice
 */
// suppression des styles par défaut des [gallery] WordPress
// add_filter( 'use_default_gallery_style', '__return_false' );
// Suppression des éléments inutiles du Menu admin
//function jbaSupprBoMenuItems() {
//    global $menu;
//    global $wpdb;
//    // Récupération de la taille maximale pour le champs flash info
//    $objListeMenu = $wpdb->get_row("SELECT * FROM {$wpdb->prefix}a111_parametres WHERE type='ADMIN' AND valeur='NETTOYAGEMENU'", OBJECT);
//    if (is_null($objListeMenu)) {
//        $restricted = array(__('Posts'), __('Comments'), __('Appearance'), __('Links'), __('Tools'), __('Plugins'), __('Settings'));
//    } else {
//        $restricted = array();
//        $listeMenu = explode(';', $objListeMenu->contenu);
//        foreach ($listeMenu as $menuNet) {
//            $restricted[] = __($menuNet);
//        }
//    }
//
//    foreach ($menu as $index => $itemMenu) {
//        if($itemMenu[0] != '') {
//            foreach ($restricted as $elmt) {
//                if($elmt != '') {
//                    if (strpos($itemMenu[0], $elmt) !== false) {
//                        unset($menu[$index]);
//                    }
//                }
//            }
//        }
//    }
//}
//add_action('admin_menu', 'jbaSupprBoMenuItems', 90);
// Supprimer la colonne commentaires pour les pages
function custom_page_columns($columns)
    {
    unset($columns['comments']);
    return $columns;
    }
add_filter('manage_pages_columns', 'custom_page_columns');
// suppression des éléments inutiles de la gestion du profil user
add_filter('user_contactmethods', 'hide_profile_fields', 10, 1);
function hide_profile_fields($contactmethods)
    {
    unset($contactmethods['aim']);
    unset($contactmethods['jabber']);
    unset($contactmethods['yim']);
    return $contactmethods;
    }

// suppression du message d'update pour les non-administrateurs
add_action('admin_init', create_function(false, "remove_action('admin_notices', 'update_nag', 3);"));
?>